Skip to main content
GET
/
api
/
v1
/
chat-analytics
/
export
Export chat analytics data as CSV
const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};

fetch('https://studyfetchapi.com/api/v1/chat-analytics/export', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
"<string>"

Documentation Index

Fetch the complete documentation index at: https://www.studyfetch.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

x-api-key
string
header
required

API Key for server-to-server authentication. Resolves to the owning organization.

Query Parameters

componentId
string

Component ID to analyze

organizationId
string

Organization ID to filter by

userId
string

User ID to filter by

groupIds
string[]

Group IDs to filter by

startDate
string<date-time>

Start date for analysis

endDate
string<date-time>

End date for analysis

modelKey
string

AI model to use for analysis

Example:

"gpt-4o-mini"

Response

200 - text/csv

CSV export of chat analytics

The response is of type file.